# Form implementation generated from reading ui file 'src/eric7/Project/SpellingPropertiesDialog.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_SpellingPropertiesDialog(object):
    def setupUi(self, SpellingPropertiesDialog):
        SpellingPropertiesDialog.setObjectName("SpellingPropertiesDialog")
        SpellingPropertiesDialog.resize(600, 114)
        SpellingPropertiesDialog.setSizeGripEnabled(True)
        self.gridLayout = QtWidgets.QGridLayout(SpellingPropertiesDialog)
        self.gridLayout.setObjectName("gridLayout")
        self.textLabel1_3 = QtWidgets.QLabel(parent=SpellingPropertiesDialog)
        self.textLabel1_3.setObjectName("textLabel1_3")
        self.gridLayout.addWidget(self.textLabel1_3, 0, 0, 1, 1)
        self.spellingComboBox = QtWidgets.QComboBox(parent=SpellingPropertiesDialog)
        self.spellingComboBox.setObjectName("spellingComboBox")
        self.gridLayout.addWidget(self.spellingComboBox, 0, 1, 1, 1)
        self.label = QtWidgets.QLabel(parent=SpellingPropertiesDialog)
        self.label.setObjectName("label")
        self.gridLayout.addWidget(self.label, 1, 0, 1, 1)
        self.pwlPicker = EricPathPicker(parent=SpellingPropertiesDialog)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.pwlPicker.sizePolicy().hasHeightForWidth())
        self.pwlPicker.setSizePolicy(sizePolicy)
        self.pwlPicker.setFocusPolicy(QtCore.Qt.FocusPolicy.StrongFocus)
        self.pwlPicker.setObjectName("pwlPicker")
        self.gridLayout.addWidget(self.pwlPicker, 1, 1, 1, 1)
        self.label_2 = QtWidgets.QLabel(parent=SpellingPropertiesDialog)
        self.label_2.setObjectName("label_2")
        self.gridLayout.addWidget(self.label_2, 2, 0, 1, 1)
        self.pelPicker = EricPathPicker(parent=SpellingPropertiesDialog)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.pelPicker.sizePolicy().hasHeightForWidth())
        self.pelPicker.setSizePolicy(sizePolicy)
        self.pelPicker.setFocusPolicy(QtCore.Qt.FocusPolicy.StrongFocus)
        self.pelPicker.setObjectName("pelPicker")
        self.gridLayout.addWidget(self.pelPicker, 2, 1, 1, 1)
        self.buttonBox = QtWidgets.QDialogButtonBox(parent=SpellingPropertiesDialog)
        self.buttonBox.setOrientation(QtCore.Qt.Orientation.Horizontal)
        self.buttonBox.setStandardButtons(QtWidgets.QDialogButtonBox.StandardButton.Cancel|QtWidgets.QDialogButtonBox.StandardButton.Ok)
        self.buttonBox.setObjectName("buttonBox")
        self.gridLayout.addWidget(self.buttonBox, 3, 0, 1, 2)
        self.textLabel1_3.setBuddy(self.spellingComboBox)
        self.label.setBuddy(self.pwlPicker)
        self.label_2.setBuddy(self.pelPicker)

        self.retranslateUi(SpellingPropertiesDialog)
        self.buttonBox.accepted.connect(SpellingPropertiesDialog.accept) # type: ignore
        self.buttonBox.rejected.connect(SpellingPropertiesDialog.reject) # type: ignore
        QtCore.QMetaObject.connectSlotsByName(SpellingPropertiesDialog)
        SpellingPropertiesDialog.setTabOrder(self.spellingComboBox, self.buttonBox)

    def retranslateUi(self, SpellingPropertiesDialog):
        _translate = QtCore.QCoreApplication.translate
        SpellingPropertiesDialog.setWindowTitle(_translate("SpellingPropertiesDialog", "Spelling Properties"))
        self.textLabel1_3.setText(_translate("SpellingPropertiesDialog", "Project &Language:"))
        self.spellingComboBox.setToolTip(_translate("SpellingPropertiesDialog", "Select the project\'s language"))
        self.label.setText(_translate("SpellingPropertiesDialog", "Project &Word List:"))
        self.pwlPicker.setToolTip(_translate("SpellingPropertiesDialog", "Enter the filename of the project word list"))
        self.label_2.setText(_translate("SpellingPropertiesDialog", "Project E&xclude List:"))
        self.pelPicker.setToolTip(_translate("SpellingPropertiesDialog", "Enter the filename of the project exclude list"))
from eric7.EricWidgets.EricPathPicker import EricPathPicker
